classification
Title: Incorrect HTML link in functools.partial
Type: Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: andreip, docs@python, lys.nikolaou, miss-islington, xiang.zhang, xitop, xtreak
Priority: normal Keywords: easy, patch

Created on 2018-09-20 11:25 by xitop, last changed 2018-10-23 06:47 by xiang.zhang. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9809 merged python-dev, 2018-10-12 03:53
PR 10046 merged miss-islington, 2018-10-23 06:11
PR 10047 merged miss-islington, 2018-10-23 06:11
PR 10048 merged xiang.zhang, 2018-10-23 06:17
Messages (9)
msg325856 - (view) Author: (xitop) Date: 2018-09-20 11:25
There is a minor issue regarding the page https://docs.python.org/3/library/functools.html

The description of functools.partial starts with text "Return a new partial object" which contains a link. This link does not point to the partial object (#partial-objects anchor) as it should. It points back
to the partial function (#functools.partial anchor) which is not helpful. The partial object docs can be thus easily overseen.
msg326330 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2018-09-25 07:52
Thanks @xitop for the report. Seems reasonable to me to link to https://docs.python.org/3.8/library/functools.html#partial-objects . Along similar lines I would suggest the below too where "partial objects" could be linked #partial-objects instead of #functools.partial . I will leave it for the reviewers though to decide on this.

"When func is a descriptor (such as a normal Python function, classmethod(), staticmethod(), abstractmethod() or another instance of partialmethod), calls to __get__ are delegated to the underlying descriptor, and an appropriate partial object returned as the result."


Thanks
msg327464 - (view) Author: Lysandros Nikolaou (lys.nikolaou) * Date: 2018-10-10 10:06
Can I submit a PR for this or is anybody else on it?
msg327560 - (view) Author: Andrei Petre (andreip) * Date: 2018-10-12 04:04
Hi, I've also looked into this and I've added a patch addressing both updates (mentioned by xitop and xtreak).
msg328279 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2018-10-23 06:11
New changeset 83a07652e0033f0d9994ae7634b91d6581c56b00 by Xiang Zhang (Andrei Petre) in branch 'master':
bpo-34748: link to :ref:`partial-objects` in functools.partial doc. (GH-9809)
https://github.com/python/cpython/commit/83a07652e0033f0d9994ae7634b91d6581c56b00
msg328280 - (view) Author: miss-islington (miss-islington) Date: 2018-10-23 06:16
New changeset fc62c7223ed1ecd422e870cf7bfc23060444450a by Miss Islington (bot) in branch '3.7':
bpo-34748: link to :ref:`partial-objects` in functools.partial doc. (GH-9809)
https://github.com/python/cpython/commit/fc62c7223ed1ecd422e870cf7bfc23060444450a
msg328281 - (view) Author: miss-islington (miss-islington) Date: 2018-10-23 06:16
New changeset 42892a2a38bb97c41e7b1b154e2b5b6f13d27b57 by Miss Islington (bot) in branch '3.6':
bpo-34748: link to :ref:`partial-objects` in functools.partial doc. (GH-9809)
https://github.com/python/cpython/commit/42892a2a38bb97c41e7b1b154e2b5b6f13d27b57
msg328284 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2018-10-23 06:43
New changeset 56a4a3aa555b3abc756cf837eddac4c0bf545db7 by Xiang Zhang in branch '2.7':
[2.7] bpo-34748: link to :ref:`partial-objects` in functools.partial doc. (GH-9809)
https://github.com/python/cpython/commit/56a4a3aa555b3abc756cf837eddac4c0bf545db7
msg328285 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2018-10-23 06:47
Thanks all. :-)
History
Date User Action Args
2018-10-23 06:47:18xiang.zhangsetstatus: open -> closed
resolution: fixed
messages: + msg328285

stage: patch review -> resolved
2018-10-23 06:43:14xiang.zhangsetmessages: + msg328284
2018-10-23 06:17:44xiang.zhangsetpull_requests: + pull_request9386
2018-10-23 06:16:55miss-islingtonsetmessages: + msg328281
2018-10-23 06:16:47miss-islingtonsetnosy: + miss-islington
messages: + msg328280
2018-10-23 06:11:49miss-islingtonsetpull_requests: + pull_request9385
2018-10-23 06:11:39miss-islingtonsetpull_requests: + pull_request9384
2018-10-23 06:11:25xiang.zhangsetnosy: + xiang.zhang
messages: + msg328279
2018-10-12 04:04:47andreipsetnosy: + andreip
messages: + msg327560
2018-10-12 03:53:09python-devsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request9188
2018-10-10 10:06:12lys.nikolaousetnosy: + lys.nikolaou
messages: + msg327464
2018-09-25 07:52:17xtreaksetnosy: + xtreak
messages: + msg326330
2018-09-21 04:29:38ned.deilysetkeywords: + easy
stage: needs patch
versions: + Python 2.7, Python 3.6, Python 3.8
2018-09-20 11:25:13xitopcreate